
   //when vehicle spawns, it cannot move (event must enable it)
   //this solves the driving through the garage problem
   function WheeledVehicleData::onAdd(%data,%obj)
   {
      Parent::onAdd(%data, %obj);

      for(%i = 0; %i < %data.numWheels; %i++)
         %obj.setWheelPowered(%i, %on);
   }

   //also you cannot click-push a vehicle while it is in non-moving mode
   function vehicle::OnActivate(%vehicle, %activatingObj, %activatingClient, %pos, %vec)
   {
      //just check a wheel
      if(!%vehicle.getWheelPowered(2))
         return;

      Parent::OnActivate(%vehicle, %activatingObj, %activatingClient, %pos, %vec);
   }
  
   

};
activatePackage(GameModeSpeedKartPackage);

// more time to fly out of a burning car
$CorpseTimeoutValue = 7000;

//special event to explode vehicles that are left in the garage
registerOutputEvent("fxDTSBrick", "explodeNearVehicle", "");
function fxDTSBrick::explodeNearVehicle(%obj)
{
   %vehicle = %obj.vehicle;
   if(!isObject(%vehicle))
      return;

   %delta = vectorSub(%vehicle.getPosition(), %obj.getPosition());
   //echo("len = " @ vectorLen(%delta));
   if(vectorLen(%delta) < 5) //7.5)
      %vehicle.finalExplosion(); //damage(%vehicle, %vehicle.getPosition(), 10000, $DamageType::Default);
}


//special event to win the race, displays race time
registerOutputEvent("GameConnection", "winRace", "");
function GameConnection::winRace(%client)
{
   %mg = %client.miniGame;

   if(!isObject(%mg))
      %mg = $DefaultMiniGame;

   if(!isObject(%mg))
      return;

   //if race start time is not available, use time since last reset
   %startTime = (%mg.lastResetTime + 15000);

   %elapsedTime = getSimTime() - %startTime;
   %elapsedTime = mFloor(%elapsedTime / 1000);
   
   %mg.chatMessageAll(0,  "\c3" @ %client.getPlayerName() @ " \c5WON THE RACE IN \c6" @ getTimeString(%elapsedTime) @ "\c3!");
   %mg.scheduleReset(7000);

   //do achievements if there's other players here
   if(clientGroup.getCount() > 1)
   {
      if(%client.isLocal())
      {
         //if this is a local client, give shitty achievement
         steamGetAchievement("ACH_SPEEDKART_PROBABLY_CHEATED", "speedKartAchievement");      
      }
      else
      {
         //remote client, send them an achievement message
         commandToClient(%client, 'GetAchievement', "ACH_SPEEDKART_WIN");
      }
   }
}  


//load the actual karts
// these are a feature locked version of the karts from a while ago
// so we only allow them to be used in the actual game mode
// if you want to use the speedkarts 
if($GameModeArg $= "Add-Ons/GameMode_SpeedKart/gamemode.txt")
{
   exec("./karts/speedKart.cs");
}